Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_ATM_Params Class Reference

Wrapper class that simplifies the information passed to the ATM enabled ACE_ATM_Connector class. More...

`#include <ATM_Params.h>`

Collaboration diagram for ACE_ATM_Params:

[legend]
List of all members.

## Public Methods
| ACE_ATM_Params (int rw_flag=1, const char device[]=ACE_XTI_ATM_DEVICE, Param_Info *info=0, Param_Udata *udata=0, int oflag=O_RDWR, int protocol_family=AF_ATM, int protocol=ATM_PROTOCOL_DEFAULT, int type=SOCK_RAW, ACE_Protocol_Info *protocol_info=0, ACE_SOCK_GROUP g=0, u_long flags=ACE_FLAG_MULTIPOINT_C_ROOT|ACE_FLAG_MULTIPOINT_D_ROOT, int reuse_addr=0)
| Initialize the data members. More...
| ~ACE_ATM_Params ()
| Destructor. More...
int | get_protocol_family (void) const
| Get protocol family. More...
void | set_protocol_family (int)
| Set protocol family. More...
int | get_protocol (void) const
| Get protocol. More...
void | set_protocol (int)
| Set protocol. More...
int | get_type (void) const
| Get type. More...
void | set_type (int)
| Set type. More...
ACE_Protocol_Info * | get_protocol_info (void)
| Get protocol info. More...
void | set_protocol_info (ACE_Protocol_Info *)
| Set protocol info. More...
ACE_SOCK_GROUP | get_sock_group (void)
| Get socket group. More...
void | set_sock_group (ACE_SOCK_GROUP)
| Set socket group. More...
u_long | get_flags (void)
| Get socket flags. More...
void | set_flags (u_long)
| Set socket flags. More...
int | get_reuse_addr (void) const
| Get reuse_addr flag. More...
void | set_reuse_addr (int)
| Set reuse_addr flag. More...
const char * | get_device (void) const
| Get device. More...
Param_Info * | get_info (void) const
| Get info. More...
void | set_info (Param_Info *)
| Set info. More...
int | get_rw_flag (void) const
| Get r/w flag. More...
void | set_rw_flag (int)
| Set r/w flag. More...
Param_Udata * | get_user_data (void) const
| Get user data. More...
void | set_user_data (Param_Udata *)
| Set user data. More...
int | get_oflag (void) const
| Get open flag. More...
void | set_oflag (int)
| Set open flag. More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Private Attributes
int | protocol_family_
| Protocol family for sockets connections. More...
int | protocol_
| Protocol for sockets connections. More...
int | type_
| Type for opening sockets. More...
ACE_Protocol_Info * | protocol_info_
| Information about the protocol. More...
ACE_SOCK_GROUP | group_
| Socket group used (for sockets only). More...
u_long | flags_
| Flags for sockets (for sockets only). More...
int | reuse_addr_
| Flag for reusing address for opening sockets. More...
const char * | device_
| Device name for XTI/ATM connections. More...
Param_Info * | info_
| Info for XTI/ATM connections. More...
int | rw_flag_
| R/W flag for XTI/ATM connections. More...
Param_Udata * | udata_
| User data for XTI/ATM connections. More...
int | oflag_
| Open flag for XTI/ATM connections. More...

## Detailed Description

Wrapper class that simplifies the information passed to the ATM enabled ACE_ATM_Connector class.

## Constructor & Destructor Documentation

ACE_INLINE ACE_ATM_Params::ACE_ATM_Params | ( | int | rw_flag = 1,
|  | const char | device[] = ACE_XTI_ATM_DEVICE,
|  | Param_Info * | info = 0,
|  | Param_Udata * | udata = 0,
|  | int | oflag = O_RDWR,
|  | int | protocol_family = AF_ATM,
|  | int | protocol = ATM_PROTOCOL_DEFAULT,
|  | int | type = SOCK_RAW,
|  | ACE_Protocol_Info * | protocol_info = 0,
|  | ACE_SOCK_GROUP | g = 0,
|  | u_long | flags = ACE_FLAG_MULTIPOINT_C_ROOT | ACE_FLAG_MULTIPOINT_D_ROOT,
|  | int | reuse_addr = 0
| ) |

| Initialize the data members. This class combines options from ACE_SOCK_Connector (<protocol_family>, <protocol>, <type>, <protocol_info>, <group>, and <flags>) and ACE_TLI_Connector (<device>, <info>, <rw_flag>, <oflag>, and <udata>) so that either mechanism can be used transparently for ATM.

ACE_INLINE ACE_ATM_Params::~ACE_ATM_Params | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void ACE_ATM_Params::dump | ( | void |  | ) | const

| Dump the state of an object.

ACE_INLINE const char * ACE_ATM_Params::get_device | ( | void |  | ) | const

| Get device.

ACE_INLINE u_long ACE_ATM_Params::get_flags | ( | void |  | ) |

| Get socket flags.

ACE_INLINE Param_Info * ACE_ATM_Params::get_info | ( | void |  | ) | const

| Get info.

ACE_INLINE int ACE_ATM_Params::get_oflag | ( | void |  | ) | const

| Get open flag.

ACE_INLINE int ACE_ATM_Params::get_protocol | ( | void |  | ) | const

| Get protocol.

ACE_INLINE int ACE_ATM_Params::get_protocol_family | ( | void |  | ) | const

| Get protocol family.

ACE_INLINE ACE_Protocol_Info * ACE_ATM_Params::get_protocol_info | ( | void |  | ) |

| Get protocol info.

ACE_INLINE int ACE_ATM_Params::get_reuse_addr | ( | void |  | ) | const

| Get reuse_addr flag.

ACE_INLINE int ACE_ATM_Params::get_rw_flag | ( | void |  | ) | const

| Get r/w flag.

ACE_INLINE ACE_SOCK_GROUP ACE_ATM_Params::get_sock_group | ( | void |  | ) |

| Get socket group.

ACE_INLINE int ACE_ATM_Params::get_type | ( | void |  | ) | const

| Get type.

ACE_INLINE Param_Udata * ACE_ATM_Params::get_user_data | ( | void |  | ) | const

| Get user data.

ACE_INLINE void ACE_ATM_Params::set_flags | ( | u_long | flags | ) |

| Set socket flags.

ACE_INLINE void ACE_ATM_Params::set_info | ( | Param_Info * | info | ) |

| Set info.

ACE_INLINE void ACE_ATM_Params::set_oflag | ( | int | oflag | ) |

| Set open flag.

ACE_INLINE void ACE_ATM_Params::set_protocol | ( | int | protocol | ) |

| Set protocol.

ACE_INLINE void ACE_ATM_Params::set_protocol_family | ( | int | family | ) |

| Set protocol family.

ACE_INLINE void ACE_ATM_Params::set_protocol_info | ( | ACE_Protocol_Info * | protocol_info | ) |

| Set protocol info.

ACE_INLINE void ACE_ATM_Params::set_reuse_addr | ( | int | reuse_addr | ) |

| Set reuse_addr flag.

ACE_INLINE void ACE_ATM_Params::set_rw_flag | ( | int | rw_flag | ) |

| Set r/w flag.

ACE_INLINE void ACE_ATM_Params::set_sock_group | ( | ACE_SOCK_GROUP | g | ) |

| Set socket group.

ACE_INLINE void ACE_ATM_Params::set_type | ( | int | type | ) |

| Set type.

ACE_INLINE void ACE_ATM_Params::set_user_data | ( | Param_Udata * | udata | ) |

| Set user data.

## Member Data Documentation

ACE_ATM_Params::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

const char* ACE_ATM_Params::device_`[private]`

| Device name for XTI/ATM connections.

u_long ACE_ATM_Params::flags_`[private]`

| Flags for sockets (for sockets only).

ACE_SOCK_GROUP ACE_ATM_Params::group_`[private]`

| Socket group used (for sockets only).

Param_Info* ACE_ATM_Params::info_`[private]`

| Info for XTI/ATM connections.

int ACE_ATM_Params::oflag_`[private]`

| Open flag for XTI/ATM connections.

int ACE_ATM_Params::protocol_`[private]`

| Protocol for sockets connections.

int ACE_ATM_Params::protocol_family_`[private]`

| Protocol family for sockets connections.

ACE_Protocol_Info* ACE_ATM_Params::protocol_info_`[private]`

| Information about the protocol.

int ACE_ATM_Params::reuse_addr_`[private]`

| Flag for reusing address for opening sockets.

int ACE_ATM_Params::rw_flag_`[private]`

| R/W flag for XTI/ATM connections.

int ACE_ATM_Params::type_`[private]`

| Type for opening sockets.

Param_Udata* ACE_ATM_Params::udata_`[private]`

| User data for XTI/ATM connections.

The documentation for this class was generated from the following files:

- ATM_Params.h
- ATM_Params.cpp
- ATM_Params.i